# MatMFFDSetBase

Sets the vector U at which matrix vector products of the Jacobian are computed

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMFFDSetBase(Mat J,Vec U,Vec F)

Collective on Mat

### Input Parameters

| J | - the MatMFFD matrix
| U | - the vector
| F | - vector that contains F(u) if it has been already computed

Notes: This is rarely used directly

Warning: for a given Mat, this must be called either ALWAYS with an F or never

Level:advanced
Location: src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages